import 'package:car_provider_app/config/constants.dart';
import 'package:car_provider_app/utils/utils.dart';
import 'package:flutter/material.dart';

class CircularImage extends StatelessWidget {
  double? w, h, padding;
  String? image;

  CircularImage({this.w, this.h, this.image, this.padding});

  @override
  Widget build(BuildContext context) {
    return Container(
      width: w ?? 120,
      height: h ?? 120,
      child: Card(
        shape: cardRadius(2000),
        clipBehavior: Clip.antiAlias,
        elevation: 4,
        child: Card(
          shape: cardRadius(2000),
          clipBehavior: Clip.antiAlias,
          elevation: 0,
          margin: EdgeInsets.all(padding ?? 0),
          child: Image.asset(image ?? icons + "green.jpg"),
        ),
      ),
    );
  }
}
